Version 11 Certified System Configurations

Discuss Mac, Windows, Linux, Unix platform specific issues

Version 11 Certified System Configurations

Postby melvin » Mon Jun 15, 2015 7:41 am

Version 11 uses java 8 which has the following certified system configurations:
http://www.oracle.com/technetwork/java/ ... 95354.html

Below is the snippet from above link pertaining to Operating System Requirements:
--------------------------------------------------------------------------------------------------
Operating Systems

Solaris
Platform CPU Architecture Version Introduced In Notes
Solaris x64 (64-bit) 11.x 1.8.0 No JavaFX Support Only 64-bit JRE is supported
Solaris SPARC (64-bit) 11.x 1.8.0 No JavaFX Support Only 64-bit JRE is supported
Solaris x64 (64-bit) 10 Update 9+ 1.8.0 No JavaFX Support Only 64-bit JRE is supported
Solaris SPARC (64-bit) 10 Update 9+ 1.8.0 No JavaFX Support Only 64-bit JRE is supported


Windows Client
Platform CPU Architecture Version Introduced In Notes
Windows 8.x x86 (32-bit) 1.8.0 Modern UI (i.e. Metro Mode) is not supported
Windows 8.x x64 (64-bit) 1.8.0 Modern UI (i.e. Metro Mode) is not supported
Windows 7 x86 (32-bit) SP1 1.8.0
Windows 7 x64 (64-bit) SP1 1.8.0
Windows Vista x86 (32-bit) SP2 1.8.0
Windows Vista x64 (64-bit) SP2 1.8.0


Windows Server
Platform CPU Architecture Version Introduced In Notes
Windows Server 2012 R2 x64 (64-bit) 1.8.0
Windows Server 2012 x64 (64-bit) 1.8.0
Windows Server 2008 R2 x64 (64-bit) SP1 1.8.0

Linux
Platform CPU Architecture Version Introduced In Notes
Oracle Linux x64 (64-bit) 7.x 1.8.0_20 Only 64-bit JRE is supported
Oracle Linux x86 (32-bit) 6.x 1.8.0
Oracle Linux x64 (64-bit) 6.x 1.8.0 Only 64-bit JRE is supported
Oracle Linux x86 (32-bit) 5.5+ 1.8.0 No JavaFX Support
Oracle Linux x64 (64-bit) 5.5+ 1.8.0 No JavaFX Support
Red Hat Enterprise Linux x64 (64-bit) 7.x 1.8.0_20 Only 64-bit JRE is supported
Red Hat Enterprise Linux x86 (32-bit) 6.x 1.8.0
Red Hat Enterprise Linux x64 (64-bit) 6.x 1.8.0 Only 64-bit JRE is supported
Red Hat Enterprise Linux x86 (32-bit) 5.5+ 1.8.0 No JavaFX Support
Red Hat Enterprise Linux x64 (64-bit) 5.5+ 1.8.0 No JavaFX Support
Suse Linux Enterprise Server x64 (64-bit) 12.x 1.8.0_31 Only 64-bit JRE is supported
Suse Linux Enterprise Server x86 (32-bit) 11.x 1.8.0
Suse Linux Enterprise Server x64 (64-bit) 11.x 1.8.0
Suse Linux Enterprise Server x86 (32-bit) 10 SP2+ 1.8.0 gtk2 2.18+ is required for supporting JavaFX
Suse Linux Enterprise Server x64 (64-bit) 10 SP2+ 1.8.0 gtk2 2.18+ is required for supporting JavaFX
Ubuntu Linux x86 (32-bit) 14.x 1.8.0_25
Ubuntu Linux x64 (64-bit) 14.x 1.8.0_25
Ubuntu Linux x86 (32-bit) 13.x 1.8.0
Ubuntu Linux x64 (64-bit) 13.x 1.8.0
Ubuntu Linux x86 (32-bit) 12.04 - LTS 1.8.0
Ubuntu Linux x64 (64-bit) 12.04 - LTS 1.8.0


Linux on ARM
Platform CPU Architecture Version Introduced In Notes
Ubuntu Linux
(Hard-Float ABI) ARMv7 VFP 12.04 - LTS 1.8.0 No JavaFX Support


OS X
Platform CPU Architecture Version Introduced In Notes
OS X x64 10.9 and above 1.8.0 Only 64-bit JRE is supported
OS X x64 10.8.3+ 1.8.0 Only 64-bit JRE is supported


Oracle Linux covers both kernels: Red Hat Compatible and Unbreakable.
On 64-bit operating systems (OSs), both 32-bit and 64-bit Java virtual machines (JVMs) are certified, except where noted.
All default desktop managers are certified, except where noted.
For Linux platforms, gtk2 2.18+ is required for supporting JavaFX.

Virtualization

All the above operating systems are also certified when running as virtual guest on any of the following hypervisors as long as the operating system is supported by that hypervisor.

Oracle VM
VirtualBox 3.x, 4.x
Solaris Containers
Solaris LDOMs
Microsoft Hyper-V Server 2012

VMware is not a certified hypervisor.

Hardware rendering is not supported in guest systems on Oracle VM, VirtualBox and Hyper-V Server 2012.
melvin
Site Admin
 
Posts: 979
Joined: Thu May 25, 2006 10:20 am
Location: Santa Barbara, california

Return to Platform specific issues

Who is online

Users browsing this forum: No registered users and 1 guest

cron